SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Red Hat Enterprise Virtualization Manager Vendors:   Red Hat
Red Hat Enterprise Virtualization Manager Race Condition Lets Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1024825
SecurityTracker URL:  http://securitytracker.com/id/1024825
CVE Reference:   CVE-2010-2793   (Links to External Site)
Date:  Dec 6 2010
Impact:   Disclosure of authentication information, Disclosure of user information, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 2.2.4
Description:   A vulnerability was reported in Red Hat Enterprise Virtualization Manager. A local user can obtain elevated privileges on the target system.

A local user can exploit a race condition in the way the Simple Protocol for Independent Computing Environments (SPICE) plug-in for Microsoft Internet Explorer and the SPICE client communicates to gain elevated privileges.

The local user can create a named pipe with the expected name that is used for parameter passing to obtain potentially sensitive parameters (e.g., password, certificate file) passed between the plug-in and the SPICE client.

Impact:   A local user can obtain elevated privileges on the target system.
Solution:   The vendor has issued a fix (2.2.4).

The vendor's advisory is available at:

https://rhn.redhat.com/errata/RHSA-2010-0818.html

Vendor URL:  rhn.redhat.com/errata/RHSA-2010-0818.html (Links to External Site)
Cause:   State error
Underlying OS:   Linux (Red Hat Enterprise)

Message History:   None.


 Source Message Contents

Date:  Mon, 6 Dec 2010 12:21:34 -0700
Subject:  [RHSA-2010:0818-01] Important: Red Hat Enterprise Virtualization Manager security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: Red Hat Enterprise Virtualization Manager security update
Advisory ID:       RHSA-2010:0818-01
Product:           Red Hat Enterprise Virtualization
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2010-0818.html
Issue date:        2010-12-06
CVE Names:         CVE-2010-2793 
=====================================================================

1. Summary:

Red Hat Enterprise Virtualization Manager 2.2.4 is now available for Red
Hat Enterprise Virtualization.

The Red Hat Security Response Team has rated this update as having
important security impact. A Common Vulnerability Scoring System (CVSS)
base score, which gives a detailed severity rating, is available from the
CVE link in the References section.

2. Description:

Red Hat Enterprise Virtualization Manager is a visual tool for centrally
managing collections of virtual servers running Red Hat Enterprise Linux
and Microsoft Windows. This package also includes the Red Hat Enterprise
Virtualization Manager API, a set of scriptable commands that give
administrators the ability to perform queries and operations on Red Hat
Enterprise Virtualization Manager.

The Simple Protocol for Independent Computing Environments (SPICE) is a
remote display protocol.

A race condition was found in the way the SPICE plug-in for Microsoft
Internet Explorer and the SPICE client communicated. A local attacker could
use this flaw to trick the plug-in and the SPICE client into communicating
over an attacker-controlled named pipe, possibly gaining access to
authentication details, or resulting in privilege escalation.
(CVE-2010-2793)

This updated Red Hat Enterprise Virtualization Manager package also fixes
several bugs. Documentation for these bug fixes will be available shortly
from
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization_for_Ser
vers/2.2/html/Technical_Notes/

All Red Hat Enterprise Virtualization Manager users are advised to install
this updated package, which corrects this issue and fixes the bugs noted in
the Technical Notes document, linked to in the References.

3. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

4. Bugs fixed (http://bugzilla.redhat.com/):

620355 - CVE-2010-2793 spice activex/spicec named pipe races

5. References:

https://www.redhat.com/security/data/cve/CVE-2010-2793.html
https://access.redhat.com/security/updates/classification/#important
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization_for_Servers/2.2/html/Technical_Notes/

6. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2010 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFM/Td1XlSAg2UNWIIRArHWAKC2qWXnQnzQuJuIuHF426Ik84wSAACgsGuP
CvMru3iL6ifTmLU7u4T+Ka4=
=4HL9
-----END PGP SIGNATURE-----


--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://www.redhat.com/mailman/listinfo/rhsa-announce
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC